Loading...
Searching...
No Matches
trc_pkt_proc_base.h File Reference

OpenCSD : Trace packet processor base class. More...

`#include "interfaces/trc_data_raw_in_i.h"`
`#include "interfaces/trc_pkt_in_i.h"`
`#include "interfaces/trc_pkt_raw_in_i.h"`
`#include "interfaces/trc_indexer_pkt_i.h"`
`#include "trc_component.h"`
`#include "comp_attach_pt_t.h"`
`#include "opencsd/ocsd_if_version.h"`
Include dependency graph for trc_pkt_proc_base.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TrcPktProcI
| Base Packet processing interface. More...
class | TrcPktProcBase< P, Pt, Pc >
| Packet Processor base class. Provides common infrastructure and interconnections for packet processors. More...

## Detailed Description

OpenCSD : Trace packet processor base class.

Copyright
  Copyright (c) 2015, ARM Limited. All Rights Reserved.

Definition in file trc_pkt_proc_base.h.